<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getCurrentWork](./bitburner.singularity.getcurrentwork.md)

## Singularity.getCurrentWork() method

Get the current work the player is doing.

**Signature:**

```typescript
getCurrentWork(): Task | null;
```
**Returns:**

[Task](./bitburner.task.md) \| null

- An object representing the current work. Fields depend on the kind of work.

## Remarks

RAM cost: 0.5 GB \* 16/4/1

